Last Comment Bug 748432 - crash in nsMsgDatabase::MatchDbName
: crash in nsMsgDatabase::MatchDbName
Status: VERIFIED FIXED
[startupcrash][fixed in 12.0.1]
: crash, regression, topcrash
Product: MailNews Core
Classification: Components
Component: Database (show other bugs)
: 12
: All All
: -- critical (vote)
: Thunderbird 15.0
Assigned To: David :Bienvenu
:
:
Mentors:
Depends on:
Blocks: 402392
  Show dependency treegraph
 
Reported: 2012-04-24 10:28 PDT by Wayne Mery (:wsmwk, NI for questions)
Modified: 2012-05-01 04:56 PDT (History)
7 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
possible fix (953 bytes, patch)
2012-04-24 11:01 PDT, David :Bienvenu
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑release+
Details | Diff | Splinter Review

Description Wayne Mery (:wsmwk, NI for questions) 2012-04-24 10:28:36 PDT
This bug was filed from the Socorro interface and is 
report bp-9a3223f4-2add-400b-af0a-065942120424 .
============================================================= 

starting in version 12. not seen in beta or alpha.
top 5 crash at present.  about half are startup crash

0	xul.dll	nsMsgDatabase::MatchDbName	mailnews/db/msgdb/src/nsMsgDatabase.cpp:968
1	xul.dll	nsMsgDatabase::FindInCache	mailnews/db/msgdb/src/nsMsgDatabase.cpp:936
2	xul.dll	nsMsgDBService::OpenFolderDB	mailnews/db/msgdb/src/nsMsgDatabase.cpp:134
3	xul.dll	nsImapMailFolder::GetDatabase	mailnews/imap/src/nsImapMailFolder.cpp:641
4	xul.dll	nsImapMailFolder::GetDBFolderInfoAndDB	mailnews/imap/src/nsImapMailFolder.cpp:2118
5	xul.dll	nsMsgDBFolder::ReadDBFolderInfo	mailnews/base/util/nsMsgDBFolder.cpp:664
6	xul.dll	nsMsgDBFolder::GetFlags	mailnews/base/util/nsMsgDBFolder.cpp:1268
7	xul.dll	nsImapIncomingServer::GetNewMessagesForNonInboxFolders	mailnews/imap/src/nsImapIncomingServer.cpp:3043
8	xul.dll	nsImapMailFolder::GetNewMessages	mailnews/imap/src/nsImapMailFolder.cpp:2629
9	xul.dll	nsImapIncomingServer::PerformBiff	mailnews/imap/src/nsImapIncomingServer.cpp:1027
10	xul.dll	NS_InvokeByIndex_P	xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp:102
Comment 1 David :Bienvenu 2012-04-24 11:01:15 PDT
Created attachment 617952 [details] [diff] [review]
possible fix
Comment 2 David :Bienvenu 2012-04-24 11:03:38 PDT
I haven't been able to recreate this crash, but I believe this should fix it.

From this stack, it looks like the user has most likely set the hidden pref to check for new messages in all folders, and one or more of the folders is causing us a problem. I can generate a try server build with the fix if you want to contact some of the users having this issue.
Comment 3 David :Bienvenu 2012-04-24 12:43:53 PDT
try server builds should appear here - http://ftp.mozilla.org/pub/mozilla.org/thunderbird-test/try-builds/bienvenu@nventure.com-1437e018e2e2
Comment 4 David :Bienvenu 2012-04-25 09:11:58 PDT
fix landed on trunk - http://hg.mozilla.org/comm-central/rev/406d1046698a
Comment 5 David :Bienvenu 2012-04-25 12:03:27 PDT
Comment on attachment 617952 [details] [diff] [review]
possible fix

[Approval Request Comment]
bulletproofing fix.
Comment 6 Wayne Mery (:wsmwk, NI for questions) 2012-04-25 15:45:13 PDT
do we know the cause of the regression?

fixed https://getsatisfaction.com/mozilla_messaging/topics/v12_crashing_wont_run_revert_to_last_version // bp-922a4c66-9dcb-486c-9663-000ad2120424

and as bienvenu suspected, also reporter of bp-052e8497-7b3b-4c89-8827-b965d2120425 Bug 748770 - startup crash in nsMsgDatabase::OpenInternal
Comment 7 David :Bienvenu 2012-04-25 16:04:28 PDT
(In reply to Wayne Mery (:wsmwk) from comment #6)
> do we know the cause of the regression?
presumably, pluggable store work, though I think there has to be something specifically weird about their profiles, since no one saw this in alpha or beta.
Comment 8 Wayne Mery (:wsmwk, NI for questions) 2012-04-26 03:37:27 PDT
70% are startup.
bp-3ce84a7a-4b41-46d5-9006-db85c2120425 (v15) a rare crash of daily
Comment 9 Mark Banner (:standard8, afk until Dec) 2012-04-28 06:56:49 PDT
Comment on attachment 617952 [details] [diff] [review]
possible fix

[Triage Comment]
Comment 11 Wayne Mery (:wsmwk, NI for questions) 2012-05-01 04:56:02 PDT
v.fixed in 12.0.1 per crash-stats

Note You need to log in before you can comment on or make changes to this bug.